### Method

# GLib Scanner scope_foreach_symbol

#### Declaration

    void
    g_scanner_scope_foreach_symbol (
      GScanner* scanner,
      guint scope_id,
      GHFunc func,
      gpointer user_data
    )

#### Description

Calls the given function for each of the symbol/value pairs in the given scope of the `GScanner`. The function is passed the symbol and value of each pair, and the given `user_data` parameter.

#### Parameters

`scope_id`

  Type: `guint`

  The scope id.

`func`

  Type: `GHFunc`

  The function to call for each symbol/value pair.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.